# Uses of Class
java.util.concurrent.ThreadLocalRandom

Packages that use ThreadLocalRandom
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of ThreadLocalRandom in java.util.concurrent

Methods in java.util.concurrent that return ThreadLocalRandom
Modifier and Type
Method
Description
`static ThreadLocalRandom`
ThreadLocalRandom.`current()`
Returns the current thread's `ThreadLocalRandom` object.